<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
print_r($_POST);
echo "gfh";
die;

$error = "";

if (!isset($_POST['name']) || $_POST['name'] == "") {
    $error .= "\nName is required";
} else {
    if (!preg_match('/^[a-zA-Z\\s]*$/', $_POST['name'])) {
        $error .= "\nEnter valid Name";
    }
}

if (!isset($_POST['email']) || $_POST['email'] == "") {
    $error .= " \nEmail Id is required";
} else {
    if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
        $error .= " \nEnter valid Email Id";
    }
}

if (!isset($_POST['doctor']) || $_POST['doctor'] == "" || trim($_POST['doctor']) == "") {
    $error .= " \nDoctor is required";
}

if (!isset($_POST['number']) || $_POST['number'] == "" || trim($_POST['number']) == "") {
    $error .= " \nNumber is required";
}

if (!isset($_POST['message']) || $_POST['message'] == "" || trim($_POST['message']) == "") {
    $error .= " \nMessage is required";
}

if ($error == "") {

    require 'PHPMailer/PHPMailerAutoload.php';
    $mail = new PHPMailer;
    $message_body = "<html><body><table border=5px>";
    $message_body .= "<tr><td colspan='2' style='color : #C50B33; font-size : 20px; '><b>Request For Contact</b></td></tr>";
    $message_body .= "<tr><td>Contact's Full Name : </td><td>" . $_POST['name'] . "</td></tr>";
    $message_body .= "<tr><td>Contact's Email : </td><td>" . $_POST['email'] . "</td></tr>";
    $message_body .= "<tr><td>Contact's Phone : </td><td>" . $_POST['number'] . "</td></tr>";
    $message_body .= "<tr><td>Contact's Doctor : </td><td>" . $_POST['doctor'] . "</td></tr>";
    $message_body .= "<tr><td>Contact's Message : </td><td>" . $_POST['message'] . "</td></tr>";

    $message_body .= "</table></body></html>";

    $mail->addAddress('shivani.pagar16@gmail.com');
    $mail->addAddress('backupilogicx@gmail.com');

    $mail->Subject  = 'Contact Us Form';
    $mail->isHTML(true);
    $mail->Body = $message_body;

    if (!$mail->send()) {
        echo "Sorry, an error occurred while sending your mail. Please send again..!";
    } else {
        echo "sent";
        $mail->ClearAllRecipients();
        $mail->addAddress($_POST['email']);  // Use lowercase 'email'
        $message_body = "Thank You....We Will Get Back To You Soon..";
        $mail->Subject  = 'Contact Us Form';
        $mail->Body = $message_body;
        $mail->send();
    }
} else {
    echo $error;
}
?>
